Index: trunk/dasscm/dasscm
===================================================================
--- trunk/dasscm/dasscm	(revision 205)
+++ trunk/dasscm/dasscm	(revision 208)
@@ -5,5 +5,6 @@
 use strict;
 
-use Env qw($DASSCM_PROD $DASSCM_REPO $USER $DASSCM_USERNAME $DASSCM_USER $DASSCM_PASSWORD);
+use Env
+  qw($DASSCM_PROD $DASSCM_REPO $USER $DASSCM_USERNAME $DASSCM_USER $DASSCM_PASSWORD);
 use Cwd;
 use Term::ReadKey;
@@ -68,11 +69,6 @@
     print
       "svn checkout --no-auth-cache --username USERNAME https://dass-it.de/svn/dasscm/HOSTNAME\n";
-    print
-      "environment variables\n",
-      "    DASSCM_REPO\n", 
-      "    DASSCM_PROD¸n",
-      "    DASSCM_USERNAME\n",
-      "    DASSCM_PASSWORD\n",
-      "are evaluated.\n";
+    print "environment variables\n", "    DASSCM_REPO\n", "    DASSCM_PROD¸n",
+      "    DASSCM_USERNAME\n", "    DASSCM_PASSWORD\n", "are evaluated.\n";
     print "\n";
 }
@@ -91,11 +87,9 @@
     if ($verbose) { print "DASSCM_PROD: " . $DASSCM_PROD . "\n"; }
 
-
     # DASSCM_REPOSITORY_NAME
-        if ( !$DASSCM_REPOSITORY_NAME ) {
-            die
-              "Variable DASSCM_REPOSITORY_NAME is not defined.\nIt needs to be a unique name.\nNormally the full qualified host name is used.\nUse file $config_file to configure it.\n";
-        }
-
+    if ( !$DASSCM_REPOSITORY_NAME ) {
+        die
+          "Variable DASSCM_REPOSITORY_NAME is not defined.\nIt needs to be a unique name.\nNormally the full qualified host name is used.\nUse file $config_file to configure it.\n";
+    }
 
     # DASSCM_REPO
@@ -117,14 +111,14 @@
         if ( not -d $DASSCM_REPO ) {
             die
-            "Can't access local repository DASSCM_REPO\n($DASSCM_REPO)\nCheck configuration and execute\n    dasscm init\n";
-        }
-    
+              "Can't access local repository DASSCM_REPO\n($DASSCM_REPO)\nCheck configuration and execute\n    dasscm init\n";
+        }
+
         #
         # user settings
         #
-        
+
         # DASSCM_USER is legacy. Use DASSCM_USERNAME instead
-        if( !$DASSCM_USERNAME ) {
-            $DASSCM_USERNAME=$DASSCM_USER;
+        if ( !$DASSCM_USERNAME ) {
+            $DASSCM_USERNAME = $DASSCM_USER;
         }
 
@@ -133,7 +127,7 @@
         # otherwise USER can be used
         if ( "$USER" eq "root" ) {
-            if (( not $DASSCM_USERNAME ) and ( $command ne "login" )) {
+            if ( ( not $DASSCM_USERNAME ) and ( $command ne "login" ) ) {
                 die
-                "Envirnonment variable DASSCM_USERNAME not set.\nSet DASSCM_USERNAME to your subversion user account.\n";
+                  "Envirnonment variable DASSCM_USERNAME not set.\nSet DASSCM_USERNAME to your subversion user account.\n";
             }
             $svnOptions .= " --no-auth-cache ";
@@ -145,5 +139,5 @@
         # password
         #
-        if( $DASSCM_PASSWORD ) {
+        if ($DASSCM_PASSWORD) {
             $svnPasswordCredentials = " --password $DASSCM_PASSWORD ";
         }
@@ -205,5 +199,5 @@
 {
 
-    if( $verbose ) { 
+    if ($verbose) {
         print "run_interactive:" . join( " ", @_ ) . "\n";
     }
@@ -301,6 +295,4 @@
 }
 
-
-
 sub init(@)
 {
@@ -309,7 +301,9 @@
 
     # update complete repository
-    my $retcode = run_interactive("cd $DASSCM_LOCAL_REPOSITORY_BASE; $SVN checkout $svnCheckoutCredentials $svnOptions $DASSCM_SVN_REPOSITORY");
-}
-
+    my $retcode =
+      run_interactive(
+        "cd $DASSCM_LOCAL_REPOSITORY_BASE; $SVN checkout $svnCheckoutCredentials $svnOptions $DASSCM_SVN_REPOSITORY"
+      );
+}
 
 #
@@ -361,5 +355,6 @@
     $retcode =
       run_interactive(
-        "$SVN commit $svnOptions --username $DASSCM_USERNAME $svnPasswordCredentials $DASSCM_REPO");
+        "$SVN commit $svnOptions --username $DASSCM_USERNAME $svnPasswordCredentials $DASSCM_REPO"
+      );
 
     print $filename_prod. "\n";
@@ -459,8 +454,8 @@
         help(@ARGV);
     } elsif (m/login/i) {
-        $command ="login";
+        $command = "login";
         login(@ARGV);
     } elsif (m/init/i) {
-        $command ="init";
+        $command = "init";
         init(@ARGV);
     } elsif (m/add/i) {
@@ -472,8 +467,8 @@
         add(@ARGV);
     } elsif (m/blame/i) {
-        $command ="blame";
+        $command = "blame";
         blame(@ARGV);
     } elsif (m/diff/i) {
-        $command ="diff";
+        $command = "diff";
         diff(@ARGV);
     } elsif (m/activate/i) {