Index: trunk/dasscm/dasscm
===================================================================
--- trunk/dasscm/dasscm	(revision 218)
+++ trunk/dasscm/dasscm	(revision 220)
@@ -29,4 +29,5 @@
 # file to store permissions
 my $permissions_file = "/etc/permissions.d/dasscm.permission_backup";
+
 # configuration file
 my $config_file = "/etc/dasscm.conf";
@@ -48,5 +49,4 @@
 
 my $verbose = 0;
-
 
 #####################################################################
@@ -72,16 +72,11 @@
     print "   permissions\n";
     print "\n";
-    print "preperation:\n",
-          "  if dasscm is already configured,\n",
-          "  use 'dasscm login' and than eg. 'add'.\n",
-          "  The environment variables\n",
-          "    DASSCM_REPO\n", 
-          "    DASSCM_PROD\n",
-          "    DASSCM_USERNAME\n",
-          "    DASSCM_PASSWORD\n", 
-          "  are evaluated, but set automatically by 'dasscm login'.\n",
-          "\n",
-          "  If dasscm is not yet configured, read",
-          "  /usr/share/doc/packages/dasscm/dasscm_howto.txt\n";
+    print "preperation:\n", "  if dasscm is already configured,\n",
+      "  use 'dasscm login' and than eg. 'add'.\n",
+      "  The environment variables\n", "    DASSCM_REPO\n", "    DASSCM_PROD\n",
+      "    DASSCM_USERNAME\n", "    DASSCM_PASSWORD\n",
+      "  are evaluated, but set automatically by 'dasscm login'.\n", "\n",
+      "  If dasscm is not yet configured, read",
+      "  /usr/share/doc/packages/dasscm/dasscm_howto.txt\n";
 }
 
@@ -192,6 +187,4 @@
     );
 }
-
-
 
 sub generatePermissionList
@@ -283,10 +276,18 @@
     my $password = shift;
 
+    print "checking credentials ... ";
+
+    # Options for "svn info" are not supported by subversion 1.0.0 (SLES9),
+    # therefore switching to "svn status"
+    # ( my $rc_update, my @result ) =
+    #     run_command(
+    #     "$SVN info --non-interactive --no-auth-cache --username $username --password $password $DASSCM_SVN_REPOSITORY"
+    #     );
+    #print @result;
+
     ( my $rc_update, my @result ) =
       run_command(
-        "$SVN info --non-interactive --no-auth-cache --username $username --password $password $DASSCM_SVN_REPOSITORY"
+        "$SVN ls --non-interactive --no-auth-cache --username $username --password $password $DASSCM_SVN_REPOSITORY"
       );
-
-    print @result;
 
     if ( $rc_update != 0 ) {
@@ -300,5 +301,6 @@
     my $update_path = shift || $DASSCM_REPO;
     ( my $rc_update, my @result ) =
-      run_command("$SVN update $svnCheckoutCredentials $update_path");
+      run_command(
+        "$SVN update --non-interactive $svnCheckoutCredentials $update_path");
     print @result;
     if ( $rc_update != 0 ) {
@@ -309,11 +311,16 @@
 sub svn_getStoredFiles( ;$ )
 {
+
     # TODO: get_filenames?
     #my $rel_path = shift || "";
     #my $path = "${DASSCM_REPO}/${rel_path}";
     my $path = ${DASSCM_REPO};
+
     # svn ls -R is better, but much, much slower
     # ( my $rc, my @result ) = run_command("$SVN ls --recursive $svnCheckoutCredentials $path");
-    ( my $rc, my @result ) = run_command("cd $path && find | grep -v '/.svn' | sed -e 's/\.\\///' | grep -v '^\$'");
+    ( my $rc, my @result ) =
+      run_command(
+        "cd $path && find | grep -v '/.svn' | sed -e 's/\.\\///' | grep -v '^\$'"
+      );
     if ( $rc != 0 ) {
         print @result;
@@ -362,4 +369,5 @@
     ReadMode('normal');
     chomp($input_password);
+    print "\n";
 
     svn_check_credentials( $input_username, $input_password );
@@ -403,5 +411,4 @@
 }
 
-
 sub update(@)
 {
@@ -414,5 +421,4 @@
     svn_update();
 }
-
 
 sub add_helper(@)
@@ -449,6 +455,4 @@
 }
 
-
-
 #
 # add (is used for command add and commit)
@@ -466,8 +470,10 @@
     # add file
     add_helper( $_[0] );
+
     # create new permissions file
     permissions();
+
     # add permissions file
-    add_helper( $permissions_file );
+    add_helper($permissions_file);
 
     if ( $options{'message'} ) {
@@ -484,6 +490,4 @@
     #print $dirname_repo. "\n";
 }
-
-
 
 sub blame(@)
@@ -542,5 +546,5 @@
 
     # TODO: start at subdirectories ?
-    my $dir = $DASSCM_REPO;
+    my $dir   = $DASSCM_REPO;
     my @files = svn_getStoredFiles($dir);
 
@@ -592,6 +596,4 @@
 }
 
-
-
 sub permissions(@)
 {
@@ -605,5 +607,5 @@
 
     # TODO: start at subdirectories ?
-    my $dir = $DASSCM_REPO;
+    my $dir   = $DASSCM_REPO;
     my @files = svn_getStoredFiles($dir);
 
@@ -614,5 +616,5 @@
         my $OUTFILE;
         my $tofile = 0;    # Status für schreiben in File
-        
+
         if ( -w dirname($permissions_file) ) {
 
@@ -624,5 +626,6 @@
             print OUTFILE "#\n";
             print OUTFILE "# created by dasscm permissions\n";
-            print OUTFILE "# It is intended to be used for restoring permissions\n";
+            print OUTFILE
+              "# It is intended to be used for restoring permissions\n";
         } else {
 
@@ -635,5 +638,5 @@
         }
 
-        if ($tofile) { 
+        if ($tofile) {
             close(OUTFILE);
         }