Index: trunk/dassbuild/etc/dassbuild/buildlist
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist	(revision 755)
@@ -0,0 +1,78 @@
+# Steuerdatei für autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+common/base/			:sles7-i386+update	:--clean
+#
+lib/perl/			:sles7-i386+update	:--no-init
+lib/perl/leases2ldap/		:sles7-i386+update	:--no-init
+
+#
+# Server
+#
+server/ldapcheck/		:sles7-i386+update	:--no-init
+server/ldap2dns/		:sles7-i386+update	:--no-init
+server/sc_ldap/			:sles7-i386+update 	:--no-init
+server/password_generator/	:sles7-i386+update	:--no-init
+server/schedule_updates/	:sles7-i386+update	:--no-init
+server/leases2ldap/		:sles7-i386+update  	:--no-init
+server/ldap2dhcp/		:sles7-i386+update	:--no-init
+server/wsadmin/			:sles7-i386+update	:--no-init
+server/wsadmin-gui/			:sles7-i386+update 	:--no-init
+server/sc_rsync/		:sles7-i386+update	:--no-init
+server/sc_tools/		:sles7-i386+update	:--no-init
+
+# if you have the source-rpms already extracted with extract_srpm.sh, 
+# the following packages will be build as well (up to END).
+external/SuSE/perl-Convert-ASN1 :sles7-i386+update      :--no-init 
+external/SuSE/perl-Digest-MD5   :sles7-i386+update      :--no-init 
+external/SuSE/perl-Digest-SHA1  :sles7-i386+update      :--no-init 
+external/SuSE/perl-Digest-HMAC  :sles7-i386+update      :--no-init 
+external/SuSE/perl-MIME-Base64  :sles7-i386+update      :--no-init 
+external/SuSE/perl-Net-DNS      :sles7-i386+update      :--no-init 
+external/SuSE/perl-Net-Netmask  :sles7-i386+update      :--no-init 
+external/SuSE/perl-Syslog		:sles7-i386+update      :--no-init 
+external/SuSE/perl-URI			:sles7-i386+update      :--no-init 
+external/SuSE/expat  			:sles7-i386+update      :--no-init 
+
+# needs expat
+external/SuSE/perl-XML-Parser   :sles7-i386+update      :--no-init 
+
+# needs perl-XML-Parser
+external/SuSE/perl-ldap        	:sles7-i386+update      :--no-init 
+external/SuSE/inetd        		:sles7-i386+update      :--no-init 
+
+# neededforbuild tetex
+external/SuSE/rsync        		:sles7-i386+update      :--clean
+
+# neededforbuild  libnetpbm libpng-devel-packages nasm netpbm
+external/SuSE/syslinux        	:sles7-i386+update      :--clean
+
+external/SuSE/tftp        		:sles7-i386+update      :--no-init 
+ 
+
+external/cpan/perl-Net-IP		:sles7-i386+update      :--no-init
+external/cpan/perl-Net-IPv4Addr	:sles7-i386+update      :--no-init
+external/cpan/perl-Net-ext		:sles7-i386+update      :--no-init
+external/cpan/perl-NetAddr-IP	:sles7-i386+update      :--no-init
+
+# END of area for build with already extracted source rpms
+
+
+# boot/netboot/busybox/SPECS/
+#
+# Client
+#
+common/base/			:8.0-i386		:--clean
+lib/perl/			:8.0-i386	  	:--no-init
+client/ldap2authorizedkeys/	:8.0-i386		:--no-init
+client/rsyncDeltaImages/	:8.0-i386		:--no-init
+client/sc_hardware/		:8.0-i386		:--no-init
+client/mkwsconfig/		:8.0-i386		:--no-init
+client/inventar2ldap/		:8.0-i386               :--no-init
+external/cpan/perl-Net-IP       :8.0-i386      		:--no-init  
Index: trunk/dassbuild/etc/dassbuild/buildlist_8.1
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_8.1	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_8.1	(revision 755)
@@ -0,0 +1,22 @@
+# Steuerdatei für autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:8.1-i386		:--clean
+lib/perl/						:8.1-i386	  	:--no-init
+client/mkwsconfig/				:8.1-i386		:--no-init
+client/ldap2authorizedkeys/		:8.1-i386		:--no-init
+client/rsyncDeltaImages/		:8.1-i386		:--no-init
+client/sc_hardware/				:8.1-i386		:--no-init
+client/inventar2ldap/			 :8.1-i386		:--no-init
+external/cpan/perl-Net-IP       :8.1-i386      	:--no-init  
+
Index: trunk/dassbuild/etc/dassbuild/buildlist_9.0
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_9.0	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_9.0	(revision 755)
@@ -0,0 +1,24 @@
+# Steuerdatei für autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:9.0-i386		:--clean
+lib/perl/						:9.0-i386	  	:--verify
+client/mkwsconfig/				:9.0-i386		:--no-init
+client/ldap2authorizedkeys/		:9.0-i386		:--no-init
+client/rsyncDeltaImages/		:9.0-i386		:--no-init
+client/sc_hardware/				:9.0-i386		:--no-init
+client/inventar2ldap/			 :9.0-i386		:--no-init
+
+# already part of SUSE 9.0
+#external/cpan/perl-Net-IP       :9.0-i386      	:--no-init  
+
Index: trunk/dassbuild/etc/dassbuild/buildlist_9.1
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_9.1	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_9.1	(revision 755)
@@ -0,0 +1,25 @@
+# Steuerdatei fr autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:9.1-i386		:--clean
+lib/perl/						:9.1-i386	  	:--verify
+client/mkwsconfig/				:9.1-i386		:--no-init
+client/ldap2authorizedkeys/		:9.1-i386		:--no-init
+client/rsyncDeltaImages/		:9.1-i386		:--no-init
+client/sc_hardware/				:9.1-i386		:--no-init
+client/inventar2ldap/			 :9.1-i386		:--no-init
+client/sc_print/			 :9.1-i386		:--no-init
+
+# already part of SUSE 9.0
+#external/cpan/perl-Net-IP       :9.0-i386      	:--no-init  
+
Index: trunk/dassbuild/etc/dassbuild/buildlist_9.2
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_9.2	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_9.2	(revision 755)
@@ -0,0 +1,24 @@
+# Steuerdatei fr autobuildskript
+# $Id: buildlist_9.1 2557 2005-03-03 11:04:34Z joergs $
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:9.2-i386		:--clean
+lib/perl/						:9.2-i386	  	:--verify
+client/mkwsconfig/				:9.2-i386		:--no-init
+client/ldap2authorizedkeys/		:9.2-i386		:--no-init
+client/rsyncDeltaImages/		:9.2-i386		:--no-init
+client/sc_hardware/				:9.2-i386		:--no-init
+client/inventar2ldap/			 :9.2-i386		:--no-init
+client/sc_print/			 :9.2-i386		:--no-init
+
+# tools
+/common/dasscm/                         :9.2-i386               :--verify
Index: trunk/dassbuild/etc/dassbuild/buildlist_9.3
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_9.3	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_9.3	(revision 755)
@@ -0,0 +1,24 @@
+# Steuerdatei fr autobuildskript
+# $Id: buildlist_9.1 2557 2005-03-03 11:04:34Z joergs $
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:9.3-i386		:--clean
+lib/perl/						:9.3-i386	  	:--verify
+client/mkwsconfig/				:9.3-i386		:--no-init
+client/ldap2authorizedkeys/		:9.3-i386		:--no-init
+client/rsyncDeltaImages/		:9.3-i386		:--no-init
+client/sc_hardware/				:9.3-i386		:--no-init
+client/inventar2ldap/			 :9.3-i386		:--no-init
+client/sc_print/			 :9.3-i386		:--no-init
+
+# tools
+/common/dasscm/                         :9.3-i386               :--verify
Index: trunk/dassbuild/etc/dassbuild/buildlist_sld
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_sld	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_sld	(revision 755)
@@ -0,0 +1,21 @@
+# Steuerdatei für autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+
+#
+# Client
+#
+common/base/					:sles8-slec-i386		:--clean
+lib/perl/						:sles8-slec-i386	  	:--no-init
+client/mkwsconfig/				:sles8-slec-i386		:--no-init
+client/ldap2authorizedkeys/		:sles8-slec-i386		:--no-init
+client/rsyncDeltaImages/		:sles8-slec-i386		:--no-init
+client/sc_hardware/				:sles8-slec-i386		:--no-init
+client/inventar2ldap/			:sles8-slec-i386		:--no-init
+external/cpan/perl-Net-IP       :sles8-slec-i386      	:--no-init  
Index: trunk/dassbuild/etc/dassbuild/buildlist_sles8
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_sles8	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_sles8	(revision 755)
@@ -0,0 +1,61 @@
+# Steuerdatei für autobuildskript
+# $Id$
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+common/base/			:sles8-i386	:--clean
+#
+lib/perl/			:sles8-i386	:--verify
+lib/perl/leases2ldap/		:sles8-i386	:--no-init
+
+#
+# Server
+#
+server/ldapcheck/		:sles8-i386	:--no-init
+server/ldap2dns/		:sles8-i386	:--verify
+server/sc_ldap/			:sles8-i386 	:--no-init
+server/password_generator/	:sles8-i386	:--no-init
+server/schedule_updates/	:sles8-i386	:--no-init
+server/leases2ldap/		:sles8-i386  	:--no-init
+server/ldap2dhcp/		:sles8-i386	:--no-init
+server/wsadmin/			:sles8-i386	:--no-init
+server/wsadmin-gui/			:sles8-i386 	:--no-init
+server/sc_rsync/		:sles8-i386	:--no-init
+server/sc_tools/		:sles8-i386	:--no-init
+
+#
+# netboot enviroment
+#
+boot/netboot/			:sles8-i386	:--no-init
+
+
+# if you have the source-rpms already extracted with extract_srpm.sh, 
+# the following packages will be build as well (up to END).
+external/SuSE/perl-Convert-ASN1 :sles8-i386      :--verify 
+# part of perl-5.8.0 
+#external/SuSE/perl-Digest-MD5   :sles8-i386      :--no-init 
+# part of perl-5.8.0
+#external/SuSE/perl-MIME-Base64  :sles8-i386     :--no-init 
+# requires perl-Digest-HMAC
+external/SuSE/perl-Net-DNS      :sles8-i386      :--clean 
+external/SuSE/perl-Net-Netmask  :sles8-i386      :--no-init 
+external/SuSE/perl-Net-Daemon	:sles8-i386	:--no-init
+external/SuSE/perl-Unix-Syslog	:sles8-i386	     :--no-init
+
+# needs perl-XML-Parser
+external/SuSE/perl-ldap        	:sles8-i386      :--clean 
+
+external/cpan/perl-Net-IP		:sles8-i386      :--verify
+external/cpan/perl-Net-IPv4Addr	:sles8-i386      :--verify
+external/cpan/perl-Net-ext		:sles8-i386      :--verify
+external/cpan/perl-NetAddr-IP	:sles8-i386      :--verify
+
+# neededforbuild  libnetpbm libpng-devel-packages nasm netpbm
+# part of UL1.0, SPx
+#external/SuSE/syslinux        	:sles8-i386      :--clean
+
+# END of area for build with already extracted source rpms
Index: trunk/dassbuild/etc/dassbuild/buildlist_sles9
===================================================================
--- trunk/dassbuild/etc/dassbuild/buildlist_sles9	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/buildlist_sles9	(revision 755)
@@ -0,0 +1,60 @@
+# Steuerdatei fr autobuildskript
+# $Id: buildlist_sles8 2236 2004-05-15 08:26:56Z joergs $
+# Format: 
+#
+# Directory:Architecture[:Buildoptions]
+#
+#
+#
+# Liste der zu bauenden Pakete
+common/base/			:sles9-i386	:--clean
+commen/dasscm			:sles9-i386	:--no-init
+#
+lib/perl/			:sles9-i386	:--verify
+lib/perl/leases2ldap/		:sles9-i386	:--no-init
+
+#
+# Server
+#
+server/sc_ldap/			:sles9-i386 	:--verify
+server/ldap2dhcp/		:sles9-i386	:--verify
+server/ldap2dns/		:sles9-i386	:--verify
+server/leases2ldap/		:sles9-i386  	:--no-init
+server/password_generator/	:sles9-i386	:--no-init
+server/sc_rsync/		:sles9-i386	:--no-init
+server/sc_tools/		:sles9-i386	:--no-init
+server/ldapcheck/		:sles9-i386	:--no-init
+# server/schedule_updates/	:sles9-i386	:--no-init
+# server/wsadmin/			:sles9-i386	:--no-init
+# server/wsadmin-gui/		:sles9-i386 	:--no-init
+
+
+
+#
+# netboot enviroment
+#
+boot/netboot/			:sles9-i386	:--no-init
+
+
+
+#
+# external src.rpm files
+#
+
+# not needed any longer. included in SLES9 CORE
+#external/SuSE/9.1/perl-Unix-Syslog	:sles9-i386	:--clean
+#external/SuSE/9.1/perl-ldap		:sles9-i386	:--clean 
+
+# not needed any longer. included in SLES9 SDK
+#external/SuSE/9.1/perl-Authen-SASL	:sles9-i386	:--clean
+#external/SuSE/9.1/perl-Net-DNS      	:sles9-i386	:--clean 
+#external/SuSE/9.1/perl-Net-Netmask  	:sles9-i386	:--no-init 
+#external/SuSE/9.1/perl-Net-Daemon	:sles9-i386	:--no-init
+#external/SuSE/9.1/perl-Net-IP		:sles9-i386	:--verify
+
+external/cpan/perl-Net-IPv4Addr	:sles9-i386      :--verify
+external/cpan/perl-Net-ext		:sles9-i386      :--verify
+external/cpan/perl-NetAddr-IP	:sles9-i386      :--verify
+
+# for webmin
+external/cpan/perl-Authen-PAM/  :sles9-i386      :--verify
Index: trunk/dassbuild/etc/dassbuild/dassbuild.conf
===================================================================
--- trunk/dassbuild/etc/dassbuild/dassbuild.conf	(revision 755)
+++ trunk/dassbuild/etc/dassbuild/dassbuild.conf	(revision 755)
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+#
+# configuration file for build tool
+#
+
+BUILD_RPMS_9_0_i386="/net/dist/export/dist/suse/i386/9.0/DVD1/"
+#BUILD_RPMS_sles8_i386="/srv/dist/suse/i386/sles8/sles8:/srv/dist/suse/i386/sles8/ul1"
+BUILD_RPMS_sles8_i386="/net/lxcdtower/cds/linux/sles_8/cd1:/net/lxcdtower/cds/linux/sles_8/cd2"
+BUILD_RPMS_sles8_i386_update="/srv/dist/suse/i386/sles8/ul1sp3:/srv/dist/suse/i386/sles8/sles8:/srv/dist/suse/i386/sles8/ul1"
+#BUILD_RPMS_9_1_i386="/media/dvd/"
+BUILD_RPMS_9_1_i386="/netiso/9.1-i386-DVD1/"
+
+BUILD_RPMS_sles9_i386="/netiso/SLES-9-i386-RC5-CD1/:/netiso/SLES-9-i386-RC5-CD2/:/netiso/SLES-9-i386-RC5-CD3/:/netiso/SLES-9-i386-RC5-CD4/:/netiso/SLES-9-i386-RC5-CD5/:/netiso/SLES-9-i386-RC5-CD6/" 
+#BUILD_RPMS_sles9_i386="/net/filer1/vol/vol1/anlagen/smartserver/srv/install/sles9inst/sles9/SUSE-SLES-Version-9/CD1/:/net/filer1/vol/vol1/anlagen/smartserver/srv/install/sles9inst/sles9/SUSE-CORE-Version-9/:/net/filer1/vol/vol1/anlagen/smartserver/srv/install/sles9inst/sles9/sles9sdk/"
+ 
+BUILD_RPMS_10_0_i386="/net/dist/space/suse/10.0/"
+