Index: vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDDeviceItem.java
===================================================================
--- vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDDeviceItem.java	(revision 844)
+++ vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/SDDeviceItem.java	(revision 858)
@@ -1,412 +1,908 @@
 package de.dass_it.vanhelsing.gui.items;
 public class SDDeviceItem extends ItemType implements UserObjectItem{
+	/**
+	 * @uml.property  name="name"
+	 */
 	private String name;
-	private String archiveDevice;
-	private String deviceType;
-	private String mediaType;
+	/**
+	 * @uml.property  name="archivedevice"
+	 */
+	private String archivedevice;
+	/**
+	 * @uml.property  name="devicetype"
+	 */
+	private String devicetype;
+	/**
+	 * @uml.property  name="mediatype"
+	 */
+	private String mediatype;
+	/**
+	 * @uml.property  name="autochanger"
+	 */
 	private String autochanger;
-	private String changerDevice;
-	private String changerCommand;
-	private String alertCommand;
-	private String driveIndex;
+	/**
+	 * @uml.property  name="changerdevice"
+	 */
+	private String changerdevice;
+	/**
+	 * @uml.property  name="changercommand"
+	 */
+	private String changercommand;
+	/**
+	 * @uml.property  name="alertcommand"
+	 */
+	private String alertcommand;
+	/**
+	 * @uml.property  name="driveindex"
+	 */
+	private String driveindex;
+	/**
+	 * @uml.property  name="autoselect"
+	 */
 	private String autoselect;
-	private String maximumConcurentJobs;
-	private String maximumChangerWait;
-	private String maximumRewindWait;
-	private String maximumOpenWait;
-	private String alwaysOpen;
-	private String volumePollInterval;
-	private String closeonPoll;
+	/**
+	 * @uml.property  name="maximumconcurentjobs"
+	 */
+	private String maximumconcurentjobs;
+	/**
+	 * @uml.property  name="maximumchangerwait"
+	 */
+	private String maximumchangerwait;
+	/**
+	 * @uml.property  name="maximumrewindwait"
+	 */
+	private String maximumrewindwait;
+	/**
+	 * @uml.property  name="maximumopenwait"
+	 */
+	private String maximumopenwait;
+	/**
+	 * @uml.property  name="alwaysopen"
+	 */
+	private String alwaysopen;
+	/**
+	 * @uml.property  name="volumepollinterval"
+	 */
+	private String volumepollinterval;
+	/**
+	 * @uml.property  name="closeonpoll"
+	 */
+	private String closeonpoll;
 	//private String maximumOpenWait;
+	/**
+	 * @uml.property  name="removablemedia"
+	 */
 	private String removablemedia;
+	/**
+	 * @uml.property  name="randomaccess"
+	 */
 	private String randomaccess;
-	private String requiresMount;
-	private String mountPoint;
-	private String mountCommand;
-	private String unmountCommand;
-	private String blockChecksum;
+	/**
+	 * @uml.property  name="requiresmount"
+	 */
+	private String requiresmount;
+	/**
+	 * @uml.property  name="mountpoint"
+	 */
+	private String mountpoint;
+	/**
+	 * @uml.property  name="mountcommand"
+	 */
+	private String mountcommand;
+	/**
+	 * @uml.property  name="unmountcommand"
+	 */
+	private String unmountcommand;
+	/**
+	 * @uml.property  name="blockchecksum"
+	 */
+	private String blockchecksum;
+	/**
+	 * @uml.property  name="minimumblocksize"
+	 */
 	private String minimumblocksize;
+	/**
+	 * @uml.property  name="maximumblocksize"
+	 */
 	private String maximumblocksize;
-	private String hardwareEndofMedium;
-	private String fastForwardSpaceFile;
-	private String useMTIOCGET;
-	private String bsfAtEOM;
-	private String twoEOF;
-	private String backwardSpaceRecord;
-	private String backwardSpaceFile;
-	private String forwardSpaceRecord;
-	private String forwardSpaceFile;
-	private String offlineOnUnmount;
-	private String maximumConcurrentJobs;
-	private String maximumVolumeSize;
-	private String maximumFileSize;
-	private String blockPositioning;
-	private String maximumNetworkBufferSize;
-	private String maximumSpoolSize;
-	private String maximumJobSpoolSize;
-	private String spoolDirectory;
-	private String maximumPartSize;
+	/**
+	 * @uml.property  name="hardwareendofmedium"
+	 */
+	private String hardwareendofmedium;
+	/**
+	 * @uml.property  name="fastforwardspacefile"
+	 */
+	private String fastforwardspacefile;
+	/**
+	 * @uml.property  name="usemtiocget"
+	 */
+	private String usemtiocget;
+	/**
+	 * @uml.property  name="bsfateom"
+	 */
+	private String bsfateom;
+	/**
+	 * @uml.property  name="twoeof"
+	 */
+	private String twoeof;
+	/**
+	 * @uml.property  name="backwardspacerecord"
+	 */
+	private String backwardspacerecord;
+	/**
+	 * @uml.property  name="backwardspacefile"
+	 */
+	private String backwardspacefile;
+	/**
+	 * @uml.property  name="forwardspacerecord"
+	 */
+	private String forwardspacerecord;
+	/**
+	 * @uml.property  name="forwardspacefile"
+	 */
+	private String forwardspacefile;
+	/**
+	 * @uml.property  name="offlineonunmount"
+	 */
+	private String offlineonunmount;
+	/**
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	private String maximumconcurrentjobs;
+	/**
+	 * @uml.property  name="maximumvolumesize"
+	 */
+	private String maximumvolumesize;
+	/**
+	 * @uml.property  name="maximumfilesize"
+	 */
+	private String maximumfilesize;
+	/**
+	 * @uml.property  name="blockpositioning"
+	 */
+	private String blockpositioning;
+	/**
+	 * @uml.property  name="maximumnetworkbuffersize"
+	 */
+	private String maximumnetworkbuffersize;
+	/**
+	 * @uml.property  name="maximumspoolsize"
+	 */
+	private String maximumspoolsize;
+	/**
+	 * @uml.property  name="maximumjobspoolsize"
+	 */
+	private String maximumjobspoolsize;
+	/**
+	 * @uml.property  name="spooldirectory"
+	 */
+	private String spooldirectory;
+	/**
+	 * @uml.property  name="maximumpartsize"
+	 */
+	private String maximumpartsize;
 	
 	public SDDeviceItem(){}
 
+	/**
+	 * @return
+	 * @uml.property  name="name"
+	 */
 	public String getName() {
 		return name;
 	}
 
+	/**
+	 * @param name
+	 * @uml.property  name="name"
+	 */
 	public void setName(String name) {
 		this.name = name;
 	}
 
-	public String getArchiveDevice() {
-		return archiveDevice;
-	}
-
-	public void setArchiveDevice(String archiveDevice) {
-		this.archiveDevice = archiveDevice;
-	}
-
-	public String getDeviceType() {
-		return deviceType;
-	}
-
-	public void setDeviceType(String deviceType) {
-		this.deviceType = deviceType;
-	}
-
-	public String getMediaType() {
-		return mediaType;
-	}
-
-	public void setMediaType(String mediaType) {
-		this.mediaType = mediaType;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="archivedevice"
+	 */
+	public String getArchivedevice() {
+		return archivedevice;
+	}
+
+	/**
+	 * @param archivedevice
+	 * @uml.property  name="archivedevice"
+	 */
+	public void setArchivedevice(String archivedevice) {
+		this.archivedevice = archivedevice;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="devicetype"
+	 */
+	public String getDevicetype() {
+		return devicetype;
+	}
+
+	/**
+	 * @param devicetype
+	 * @uml.property  name="devicetype"
+	 */
+	public void setDevicetype(String devicetype) {
+		this.devicetype = devicetype;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="mediatype"
+	 */
+	public String getMediatype() {
+		return mediatype;
+	}
+
+	/**
+	 * @param mediatype
+	 * @uml.property  name="mediatype"
+	 */
+	public void setMediatype(String mediatype) {
+		this.mediatype = mediatype;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="autochanger"
+	 */
 	public String getAutochanger() {
 		return autochanger;
 	}
 
+	/**
+	 * @param autochanger
+	 * @uml.property  name="autochanger"
+	 */
 	public void setAutochanger(String autochanger) {
 		this.autochanger = autochanger;
 	}
 
-	public String getChangerDevice() {
-		return changerDevice;
-	}
-
-	public void setChangerDevice(String changerDevice) {
-		this.changerDevice = changerDevice;
-	}
-
-	public String getChangerCommand() {
-		return changerCommand;
-	}
-
-	public void setChangerCommand(String changerCommand) {
-		this.changerCommand = changerCommand;
-	}
-
-	public String getAlertCommand() {
-		return alertCommand;
-	}
-
-	public void setAlertCommand(String alertCommand) {
-		this.alertCommand = alertCommand;
-	}
-
-	public String getDriveIndex() {
-		return driveIndex;
-	}
-
-	public void setDriveIndex(String driveIndex) {
-		this.driveIndex = driveIndex;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="changerdevice"
+	 */
+	public String getChangerdevice() {
+		return changerdevice;
+	}
+
+	/**
+	 * @param changerdevice
+	 * @uml.property  name="changerdevice"
+	 */
+	public void setChangerdevice(String changerdevice) {
+		this.changerdevice = changerdevice;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="changercommand"
+	 */
+	public String getChangercommand() {
+		return changercommand;
+	}
+
+	/**
+	 * @param changercommand
+	 * @uml.property  name="changercommand"
+	 */
+	public void setChangercommand(String changercommand) {
+		this.changercommand = changercommand;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="alertcommand"
+	 */
+	public String getAlertcommand() {
+		return alertcommand;
+	}
+
+	/**
+	 * @param alertcommand
+	 * @uml.property  name="alertcommand"
+	 */
+	public void setAlertcommand(String alertcommand) {
+		this.alertcommand = alertcommand;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="driveindex"
+	 */
+	public String getDriveindex() {
+		return driveindex;
+	}
+
+	/**
+	 * @param driveindex
+	 * @uml.property  name="driveindex"
+	 */
+	public void setDriveindex(String driveindex) {
+		this.driveindex = driveindex;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="autoselect"
+	 */
 	public String getAutoselect() {
 		return autoselect;
 	}
 
+	/**
+	 * @param autoselect
+	 * @uml.property  name="autoselect"
+	 */
 	public void setAutoselect(String autoselect) {
 		this.autoselect = autoselect;
 	}
 
-	public String getMaximumConcurentJobs() {
-		return maximumConcurentJobs;
-	}
-
-	public void setMaximumConcurentJobs(String maximumConcurentJobs) {
-		this.maximumConcurentJobs = maximumConcurentJobs;
-	}
-
-	public String getMaximumChangerWait() {
-		return maximumChangerWait;
-	}
-
-	public void setMaximumChangerWait(String maximumChangerWait) {
-		this.maximumChangerWait = maximumChangerWait;
-	}
-
-	public String getMaximumRewindWait() {
-		return maximumRewindWait;
-	}
-
-	public void setMaximumRewindWait(String maximumRewindWait) {
-		this.maximumRewindWait = maximumRewindWait;
-	}
-
-	public String getMaximumOpenWait() {
-		return maximumOpenWait;
-	}
-
-	public void setMaximumOpenWait(String maximumOpenWait) {
-		this.maximumOpenWait = maximumOpenWait;
-	}
-
-	public String getAlwaysOpen() {
-		return alwaysOpen;
-	}
-
-	public void setAlwaysOpen(String alwaysOpen) {
-		this.alwaysOpen = alwaysOpen;
-	}
-
-	public String getVolumePollInterval() {
-		return volumePollInterval;
-	}
-
-	public void setVolumePollInterval(String volumePollInterval) {
-		this.volumePollInterval = volumePollInterval;
-	}
-
-	public String getCloseonPoll() {
-		return closeonPoll;
-	}
-
-	public void setCloseonPoll(String closeonPoll) {
-		this.closeonPoll = closeonPoll;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="maximumconcurentjobs"
+	 */
+	public String getMaximumconcurentjobs() {
+		return maximumconcurentjobs;
+	}
+
+	/**
+	 * @param maximumconcurentjobs
+	 * @uml.property  name="maximumconcurentjobs"
+	 */
+	public void setMaximumconcurentjobs(String maximumconcurentjobs) {
+		this.maximumconcurentjobs = maximumconcurentjobs;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumchangerwait"
+	 */
+	public String getMaximumchangerwait() {
+		return maximumchangerwait;
+	}
+
+	/**
+	 * @param maximumchangerwait
+	 * @uml.property  name="maximumchangerwait"
+	 */
+	public void setMaximumchangerwait(String maximumchangerwait) {
+		this.maximumchangerwait = maximumchangerwait;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumrewindwait"
+	 */
+	public String getMaximumrewindwait() {
+		return maximumrewindwait;
+	}
+
+	/**
+	 * @param maximumrewindwait
+	 * @uml.property  name="maximumrewindwait"
+	 */
+	public void setMaximumrewindwait(String maximumrewindwait) {
+		this.maximumrewindwait = maximumrewindwait;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumopenwait"
+	 */
+	public String getMaximumopenwait() {
+		return maximumopenwait;
+	}
+
+	/**
+	 * @param maximumopenwait
+	 * @uml.property  name="maximumopenwait"
+	 */
+	public void setMaximumopenwait(String maximumopenwait) {
+		this.maximumopenwait = maximumopenwait;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="alwaysopen"
+	 */
+	public String getAlwaysopen() {
+		return alwaysopen;
+	}
+
+	/**
+	 * @param alwaysopen
+	 * @uml.property  name="alwaysopen"
+	 */
+	public void setAlwaysopen(String alwaysopen) {
+		this.alwaysopen = alwaysopen;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="volumepollinterval"
+	 */
+	public String getVolumepollinterval() {
+		return volumepollinterval;
+	}
+
+	/**
+	 * @param volumepollinterval
+	 * @uml.property  name="volumepollinterval"
+	 */
+	public void setVolumepollinterval(String volumepollinterval) {
+		this.volumepollinterval = volumepollinterval;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="closeonpoll"
+	 */
+	public String getCloseonpoll() {
+		return closeonpoll;
+	}
+
+	/**
+	 * @param closeonpoll
+	 * @uml.property  name="closeonpoll"
+	 */
+	public void setCloseonpoll(String closeonpoll) {
+		this.closeonpoll = closeonpoll;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="removablemedia"
+	 */
 	public String getRemovablemedia() {
 		return removablemedia;
 	}
 
+	/**
+	 * @param removablemedia
+	 * @uml.property  name="removablemedia"
+	 */
 	public void setRemovablemedia(String removablemedia) {
 		this.removablemedia = removablemedia;
 	}
 
+	/**
+	 * @return
+	 * @uml.property  name="randomaccess"
+	 */
 	public String getRandomaccess() {
 		return randomaccess;
 	}
 
+	/**
+	 * @param randomaccess
+	 * @uml.property  name="randomaccess"
+	 */
 	public void setRandomaccess(String randomaccess) {
 		this.randomaccess = randomaccess;
 	}
 
-	public String getRequiresMount() {
-		return requiresMount;
-	}
-
-	public void setRequiresMount(String requiresMount) {
-		this.requiresMount = requiresMount;
-	}
-
-	public String getMountPoint() {
-		return mountPoint;
-	}
-
-	public void setMountPoint(String mountPoint) {
-		this.mountPoint = mountPoint;
-	}
-
-	public String getMountCommand() {
-		return mountCommand;
-	}
-
-	public void setMountCommand(String mountCommand) {
-		this.mountCommand = mountCommand;
-	}
-
-	public String getUnmountCommand() {
-		return unmountCommand;
-	}
-
-	public void setUnmountCommand(String unmountCommand) {
-		this.unmountCommand = unmountCommand;
-	}
-
-	public String getBlockChecksum() {
-		return blockChecksum;
-	}
-
-	public void setBlockChecksum(String blockChecksum) {
-		this.blockChecksum = blockChecksum;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="requiresmount"
+	 */
+	public String getRequiresmount() {
+		return requiresmount;
+	}
+
+	/**
+	 * @param requiresmount
+	 * @uml.property  name="requiresmount"
+	 */
+	public void setRequiresmount(String requiresmount) {
+		this.requiresmount = requiresmount;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="mountpoint"
+	 */
+	public String getMountpoint() {
+		return mountpoint;
+	}
+
+	/**
+	 * @param mountpoint
+	 * @uml.property  name="mountpoint"
+	 */
+	public void setMountpoint(String mountpoint) {
+		this.mountpoint = mountpoint;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="mountcommand"
+	 */
+	public String getMountcommand() {
+		return mountcommand;
+	}
+
+	/**
+	 * @param mountcommand
+	 * @uml.property  name="mountcommand"
+	 */
+	public void setMountcommand(String mountcommand) {
+		this.mountcommand = mountcommand;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="unmountcommand"
+	 */
+	public String getUnmountcommand() {
+		return unmountcommand;
+	}
+
+	/**
+	 * @param unmountcommand
+	 * @uml.property  name="unmountcommand"
+	 */
+	public void setUnmountcommand(String unmountcommand) {
+		this.unmountcommand = unmountcommand;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="blockchecksum"
+	 */
+	public String getBlockchecksum() {
+		return blockchecksum;
+	}
+
+	/**
+	 * @param blockchecksum
+	 * @uml.property  name="blockchecksum"
+	 */
+	public void setBlockchecksum(String blockchecksum) {
+		this.blockchecksum = blockchecksum;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="minimumblocksize"
+	 */
 	public String getMinimumblocksize() {
 		return minimumblocksize;
 	}
 
+	/**
+	 * @param minimumblocksize
+	 * @uml.property  name="minimumblocksize"
+	 */
 	public void setMinimumblocksize(String minimumblocksize) {
 		this.minimumblocksize = minimumblocksize;
 	}
 
+	/**
+	 * @return
+	 * @uml.property  name="maximumblocksize"
+	 */
 	public String getMaximumblocksize() {
 		return maximumblocksize;
 	}
 
+	/**
+	 * @param maximumblocksize
+	 * @uml.property  name="maximumblocksize"
+	 */
 	public void setMaximumblocksize(String maximumblocksize) {
 		this.maximumblocksize = maximumblocksize;
 	}
 
-	public String getHardwareEndofMedium() {
-		return hardwareEndofMedium;
-	}
-
-	public void setHardwareEndofMedium(String hardwareEndofMedium) {
-		this.hardwareEndofMedium = hardwareEndofMedium;
-	}
-
-	public String getFastForwardSpaceFile() {
-		return fastForwardSpaceFile;
-	}
-
-	public void setFastForwardSpaceFile(String fastForwardSpaceFile) {
-		this.fastForwardSpaceFile = fastForwardSpaceFile;
-	}
-
-	public String getUseMTIOCGET() {
-		return useMTIOCGET;
-	}
-
-	public void setUseMTIOCGET(String useMTIOCGET) {
-		this.useMTIOCGET = useMTIOCGET;
-	}
-
-	public String getBsfAtEOM() {
-		return bsfAtEOM;
-	}
-
-	public void setBsfAtEOM(String bsfAtEOM) {
-		this.bsfAtEOM = bsfAtEOM;
-	}
-
-	public String getTwoEOF() {
-		return twoEOF;
-	}
-
-	public void setTwoEOF(String twoEOF) {
-		this.twoEOF = twoEOF;
-	}
-
-	public String getBackwardSpaceRecord() {
-		return backwardSpaceRecord;
-	}
-
-	public void setBackwardSpaceRecord(String backwardSpaceRecord) {
-		this.backwardSpaceRecord = backwardSpaceRecord;
-	}
-
-	public String getBackwardSpaceFile() {
-		return backwardSpaceFile;
-	}
-
-	public void setBackwardSpaceFile(String backwardSpaceFile) {
-		this.backwardSpaceFile = backwardSpaceFile;
-	}
-
-	public String getForwardSpaceRecord() {
-		return forwardSpaceRecord;
-	}
-
-	public void setForwardSpaceRecord(String forwardSpaceRecord) {
-		this.forwardSpaceRecord = forwardSpaceRecord;
-	}
-
-	public String getForwardSpaceFile() {
-		return forwardSpaceFile;
-	}
-
-	public void setForwardSpaceFile(String forwardSpaceFile) {
-		this.forwardSpaceFile = forwardSpaceFile;
-	}
-
-	public String getOfflineOnUnmount() {
-		return offlineOnUnmount;
-	}
-
-	public void setOfflineOnUnmount(String offlineOnUnmount) {
-		this.offlineOnUnmount = offlineOnUnmount;
-	}
-
-	public String getMaximumConcurrentJobs() {
-		return maximumConcurrentJobs;
-	}
-
-	public void setMaximumConcurrentJobs(String maximumConcurrentJobs) {
-		this.maximumConcurrentJobs = maximumConcurrentJobs;
-	}
-
-	public String getMaximumVolumeSize() {
-		return maximumVolumeSize;
-	}
-
-	public void setMaximumVolumeSize(String maximumVolumeSize) {
-		this.maximumVolumeSize = maximumVolumeSize;
-	}
-
-	public String getMaximumFileSize() {
-		return maximumFileSize;
-	}
-
-	public void setMaximumFileSize(String maximumFileSize) {
-		this.maximumFileSize = maximumFileSize;
-	}
-
-	public String getBlockPositioning() {
-		return blockPositioning;
-	}
-
-	public void setBlockPositioning(String blockPositioning) {
-		this.blockPositioning = blockPositioning;
-	}
-
-	public String getMaximumNetworkBufferSize() {
-		return maximumNetworkBufferSize;
-	}
-
-	public void setMaximumNetworkBufferSize(String maximumNetworkBufferSize) {
-		this.maximumNetworkBufferSize = maximumNetworkBufferSize;
-	}
-
-	public String getMaximumSpoolSize() {
-		return maximumSpoolSize;
-	}
-
-	public void setMaximumSpoolSize(String maximumSpoolSize) {
-		this.maximumSpoolSize = maximumSpoolSize;
-	}
-
-	public String getMaximumJobSpoolSize() {
-		return maximumJobSpoolSize;
-	}
-
-	public void setMaximumJobSpoolSize(String maximumJobSpoolSize) {
-		this.maximumJobSpoolSize = maximumJobSpoolSize;
-	}
-
-	public String getSpoolDirectory() {
-		return spoolDirectory;
-	}
-
-	public void setSpoolDirectory(String spoolDirectory) {
-		this.spoolDirectory = spoolDirectory;
-	}
-
-	public String getMaximumPartSize() {
-		return maximumPartSize;
-	}
-
-	public void setMaximumPartSize(String maximumPartSize) {
-		this.maximumPartSize = maximumPartSize;
-	}
+	/**
+	 * @return
+	 * @uml.property  name="hardwareendofmedium"
+	 */
+	public String getHardwareendofmedium() {
+		return hardwareendofmedium;
+	}
+
+	/**
+	 * @param hardwareendofmedium
+	 * @uml.property  name="hardwareendofmedium"
+	 */
+	public void setHardwareendofmedium(String hardwareendofmedium) {
+		this.hardwareendofmedium = hardwareendofmedium;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="fastforwardspacefile"
+	 */
+	public String getFastforwardspacefile() {
+		return fastforwardspacefile;
+	}
+
+	/**
+	 * @param fastforwardspacefile
+	 * @uml.property  name="fastforwardspacefile"
+	 */
+	public void setFastforwardspacefile(String fastforwardspacefile) {
+		this.fastforwardspacefile = fastforwardspacefile;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="usemtiocget"
+	 */
+	public String getUsemtiocget() {
+		return usemtiocget;
+	}
+
+	/**
+	 * @param usemtiocget
+	 * @uml.property  name="usemtiocget"
+	 */
+	public void setUsemtiocget(String usemtiocget) {
+		this.usemtiocget = usemtiocget;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="bsfateom"
+	 */
+	public String getBsfateom() {
+		return bsfateom;
+	}
+
+	/**
+	 * @param bsfateom
+	 * @uml.property  name="bsfateom"
+	 */
+	public void setBsfateom(String bsfateom) {
+		this.bsfateom = bsfateom;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="twoeof"
+	 */
+	public String getTwoeof() {
+		return twoeof;
+	}
+
+	/**
+	 * @param twoeof
+	 * @uml.property  name="twoeof"
+	 */
+	public void setTwoeof(String twoeof) {
+		this.twoeof = twoeof;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="backwardspacerecord"
+	 */
+	public String getBackwardspacerecord() {
+		return backwardspacerecord;
+	}
+
+	/**
+	 * @param backwardspacerecord
+	 * @uml.property  name="backwardspacerecord"
+	 */
+	public void setBackwardspacerecord(String backwardspacerecord) {
+		this.backwardspacerecord = backwardspacerecord;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="backwardspacefile"
+	 */
+	public String getBackwardspacefile() {
+		return backwardspacefile;
+	}
+
+	/**
+	 * @param backwardspacefile
+	 * @uml.property  name="backwardspacefile"
+	 */
+	public void setBackwardspacefile(String backwardspacefile) {
+		this.backwardspacefile = backwardspacefile;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="forwardspacerecord"
+	 */
+	public String getForwardspacerecord() {
+		return forwardspacerecord;
+	}
+
+	/**
+	 * @param forwardspacerecord
+	 * @uml.property  name="forwardspacerecord"
+	 */
+	public void setForwardspacerecord(String forwardspacerecord) {
+		this.forwardspacerecord = forwardspacerecord;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="forwardspacefile"
+	 */
+	public String getForwardspacefile() {
+		return forwardspacefile;
+	}
+
+	/**
+	 * @param forwardspacefile
+	 * @uml.property  name="forwardspacefile"
+	 */
+	public void setForwardspacefile(String forwardspacefile) {
+		this.forwardspacefile = forwardspacefile;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="offlineonunmount"
+	 */
+	public String getOfflineonunmount() {
+		return offlineonunmount;
+	}
+
+	/**
+	 * @param offlineonunmount
+	 * @uml.property  name="offlineonunmount"
+	 */
+	public void setOfflineonunmount(String offlineonunmount) {
+		this.offlineonunmount = offlineonunmount;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public String getMaximumconcurrentjobs() {
+		return maximumconcurrentjobs;
+	}
+
+	/**
+	 * @param maximumconcurrentjobs
+	 * @uml.property  name="maximumconcurrentjobs"
+	 */
+	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
+		this.maximumconcurrentjobs = maximumconcurrentjobs;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumvolumesize"
+	 */
+	public String getMaximumvolumesize() {
+		return maximumvolumesize;
+	}
+
+	/**
+	 * @param maximumvolumesize
+	 * @uml.property  name="maximumvolumesize"
+	 */
+	public void setMaximumvolumesize(String maximumvolumesize) {
+		this.maximumvolumesize = maximumvolumesize;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumfilesize"
+	 */
+	public String getMaximumfilesize() {
+		return maximumfilesize;
+	}
+
+	/**
+	 * @param maximumfilesize
+	 * @uml.property  name="maximumfilesize"
+	 */
+	public void setMaximumfilesize(String maximumfilesize) {
+		this.maximumfilesize = maximumfilesize;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="blockpositioning"
+	 */
+	public String getBlockpositioning() {
+		return blockpositioning;
+	}
+
+	/**
+	 * @param blockpositioning
+	 * @uml.property  name="blockpositioning"
+	 */
+	public void setBlockpositioning(String blockpositioning) {
+		this.blockpositioning = blockpositioning;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumnetworkbuffersize"
+	 */
+	public String getMaximumnetworkbuffersize() {
+		return maximumnetworkbuffersize;
+	}
+
+	/**
+	 * @param maximumnetworkbuffersize
+	 * @uml.property  name="maximumnetworkbuffersize"
+	 */
+	public void setMaximumnetworkbuffersize(String maximumnetworkbuffersize) {
+		this.maximumnetworkbuffersize = maximumnetworkbuffersize;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumspoolsize"
+	 */
+	public String getMaximumspoolsize() {
+		return maximumspoolsize;
+	}
+
+	/**
+	 * @param maximumspoolsize
+	 * @uml.property  name="maximumspoolsize"
+	 */
+	public void setMaximumspoolsize(String maximumspoolsize) {
+		this.maximumspoolsize = maximumspoolsize;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumjobspoolsize"
+	 */
+	public String getMaximumjobspoolsize() {
+		return maximumjobspoolsize;
+	}
+
+	/**
+	 * @param maximumjobspoolsize
+	 * @uml.property  name="maximumjobspoolsize"
+	 */
+	public void setMaximumjobspoolsize(String maximumjobspoolsize) {
+		this.maximumjobspoolsize = maximumjobspoolsize;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="spooldirectory"
+	 */
+	public String getSpooldirectory() {
+		return spooldirectory;
+	}
+
+	/**
+	 * @param spooldirectory
+	 * @uml.property  name="spooldirectory"
+	 */
+	public void setSpooldirectory(String spooldirectory) {
+		this.spooldirectory = spooldirectory;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumpartsize"
+	 */
+	public String getMaximumpartsize() {
+		return maximumpartsize;
+	}
+
+	/**
+	 * @param maximumpartsize
+	 * @uml.property  name="maximumpartsize"
+	 */
+	public void setMaximumpartsize(String maximumpartsize) {
+		this.maximumpartsize = maximumpartsize;
+	}
+
 	
 	