Index: vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/JobDefsItem.java
===================================================================
--- vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/JobDefsItem.java	(revision 858)
+++ vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/JobDefsItem.java	(revision 865)
@@ -1,1084 +1,424 @@
 package de.dass_it.vanhelsing.gui.items;
 public class JobDefsItem extends ItemType implements UserObjectItem{
-	/**
-	 * @return
-	 * @uml.property  name="name"
-	 */
 	public String getName() {
 		return name;
 	}
-	/**
-	 * @param name
-	 * @uml.property  name="name"
-	 */
 	public void setName(String name) {
 		this.name = name;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="enabled"
-	 */
 	public String getEnabled() {
 		return enabled;
 	}
-	/**
-	 * @param enabled
-	 * @uml.property  name="enabled"
-	 */
 	public void setEnabled(String enabled) {
 		this.enabled = enabled;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="type"
-	 */
 	public String getType() {
 		return type;
 	}
-	/**
-	 * @param type
-	 * @uml.property  name="type"
-	 */
 	public void setType(String type) {
 		this.type = type;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="level"
-	 */
 	public String getLevel() {
 		return level;
 	}
-	/**
-	 * @param level
-	 * @uml.property  name="level"
-	 */
 	public void setLevel(String level) {
 		this.level = level;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="accurate"
-	 */
 	public String getAccurate() {
 		return accurate;
 	}
-	/**
-	 * @param accurate
-	 * @uml.property  name="accurate"
-	 */
 	public void setAccurate(String accurate) {
 		this.accurate = accurate;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="verifyjob"
-	 */
 	public String getVerifyjob() {
 		return verifyjob;
 	}
-	/**
-	 * @param verifyjob
-	 * @uml.property  name="verifyjob"
-	 */
 	public void setVerifyjob(String verifyjob) {
 		this.verifyjob = verifyjob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="jobdefs"
-	 */
 	public String getJobdefs() {
 		return jobdefs;
 	}
-	/**
-	 * @param jobdefs
-	 * @uml.property  name="jobdefs"
-	 */
 	public void setJobdefs(String jobdefs) {
 		this.jobdefs = jobdefs;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="bootstrap"
-	 */
 	public String getBootstrap() {
 		return bootstrap;
 	}
-	/**
-	 * @param bootstrap
-	 * @uml.property  name="bootstrap"
-	 */
 	public void setBootstrap(String bootstrap) {
 		this.bootstrap = bootstrap;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="writebootstrap"
-	 */
 	public String getWritebootstrap() {
 		return writebootstrap;
 	}
-	/**
-	 * @param writebootstrap
-	 * @uml.property  name="writebootstrap"
-	 */
 	public void setWritebootstrap(String writebootstrap) {
 		this.writebootstrap = writebootstrap;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="client"
-	 */
 	public String getClient() {
 		return client;
 	}
-	/**
-	 * @param client
-	 * @uml.property  name="client"
-	 */
 	public void setClient(String client) {
 		this.client = client;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="fileset"
-	 */
 	public String getFileset() {
 		return fileset;
 	}
-	/**
-	 * @param fileset
-	 * @uml.property  name="fileset"
-	 */
 	public void setFileset(String fileset) {
 		this.fileset = fileset;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="messages"
-	 */
 	public String getMessages() {
 		return messages;
 	}
-	/**
-	 * @param messages
-	 * @uml.property  name="messages"
-	 */
 	public void setMessages(String messages) {
 		this.messages = messages;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="pool"
-	 */
 	public String getPool() {
 		return pool;
 	}
-	/**
-	 * @param pool
-	 * @uml.property  name="pool"
-	 */
 	public void setPool(String pool) {
 		this.pool = pool;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="fullbackuppool"
-	 */
 	public String getFullbackuppool() {
 		return fullbackuppool;
 	}
-	/**
-	 * @param fullbackuppool
-	 * @uml.property  name="fullbackuppool"
-	 */
 	public void setFullbackuppool(String fullbackuppool) {
 		this.fullbackuppool = fullbackuppool;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="differentialbackuppool"
-	 */
 	public String getDifferentialbackuppool() {
 		return differentialbackuppool;
 	}
-	/**
-	 * @param differentialbackuppool
-	 * @uml.property  name="differentialbackuppool"
-	 */
 	public void setDifferentialbackuppool(String differentialbackuppool) {
 		this.differentialbackuppool = differentialbackuppool;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="incrementalbackuppool"
-	 */
 	public String getIncrementalbackuppool() {
 		return incrementalbackuppool;
 	}
-	/**
-	 * @param incrementalbackuppool
-	 * @uml.property  name="incrementalbackuppool"
-	 */
 	public void setIncrementalbackuppool(String incrementalbackuppool) {
 		this.incrementalbackuppool = incrementalbackuppool;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="schedule"
-	 */
 	public String getSchedule() {
 		return schedule;
 	}
-	/**
-	 * @param schedule
-	 * @uml.property  name="schedule"
-	 */
 	public void setSchedule(String schedule) {
 		this.schedule = schedule;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="storage"
-	 */
 	public String getStorage() {
 		return storage;
 	}
-	/**
-	 * @param storage
-	 * @uml.property  name="storage"
-	 */
 	public void setStorage(String storage) {
 		this.storage = storage;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maxstartdelay"
-	 */
 	public String getMaxstartdelay() {
 		return maxstartdelay;
 	}
-	/**
-	 * @param maxstartdelay
-	 * @uml.property  name="maxstartdelay"
-	 */
 	public void setMaxstartdelay(String maxstartdelay) {
 		this.maxstartdelay = maxstartdelay;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maxruntime"
-	 */
 	public String getMaxruntime() {
 		return maxruntime;
 	}
-	/**
-	 * @param maxruntime
-	 * @uml.property  name="maxruntime"
-	 */
 	public void setMaxruntime(String maxruntime) {
 		this.maxruntime = maxruntime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="incrementaldifferentialmaxwaittime"
-	 */
 	public String getIncrementaldifferentialmaxwaittime() {
 		return incrementaldifferentialmaxwaittime;
 	}
-	/**
-	 * @param incrementaldifferentialmaxwaittime
-	 * @uml.property  name="incrementaldifferentialmaxwaittime"
-	 */
 	public void setIncrementaldifferentialmaxwaittime(
 			String incrementaldifferentialmaxwaittime) {
 		this.incrementaldifferentialmaxwaittime = incrementaldifferentialmaxwaittime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="incrementalmaxruntime"
-	 */
 	public String getIncrementalmaxruntime() {
 		return incrementalmaxruntime;
 	}
-	/**
-	 * @param incrementalmaxruntime
-	 * @uml.property  name="incrementalmaxruntime"
-	 */
 	public void setIncrementalmaxruntime(String incrementalmaxruntime) {
 		this.incrementalmaxruntime = incrementalmaxruntime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="differentialmaxwaittime"
-	 */
 	public String getDifferentialmaxwaittime() {
 		return differentialmaxwaittime;
 	}
-	/**
-	 * @param differentialmaxwaittime
-	 * @uml.property  name="differentialmaxwaittime"
-	 */
 	public void setDifferentialmaxwaittime(String differentialmaxwaittime) {
 		this.differentialmaxwaittime = differentialmaxwaittime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maxrunschedtime"
-	 */
 	public String getMaxrunschedtime() {
 		return maxrunschedtime;
 	}
-	/**
-	 * @param maxrunschedtime
-	 * @uml.property  name="maxrunschedtime"
-	 */
 	public void setMaxrunschedtime(String maxrunschedtime) {
 		this.maxrunschedtime = maxrunschedtime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maxwaittime"
-	 */
 	public String getMaxwaittime() {
 		return maxwaittime;
 	}
-	/**
-	 * @param maxwaittime
-	 * @uml.property  name="maxwaittime"
-	 */
 	public void setMaxwaittime(String maxwaittime) {
 		this.maxwaittime = maxwaittime;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maxfullinterval"
-	 */
 	public String getMaxfullinterval() {
 		return maxfullinterval;
 	}
-	/**
-	 * @param maxfullinterval
-	 * @uml.property  name="maxfullinterval"
-	 */
 	public void setMaxfullinterval(String maxfullinterval) {
 		this.maxfullinterval = maxfullinterval;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="prefermountedvolumes"
-	 */
 	public String getPrefermountedvolumes() {
 		return prefermountedvolumes;
 	}
-	/**
-	 * @param prefermountedvolumes
-	 * @uml.property  name="prefermountedvolumes"
-	 */
 	public void setPrefermountedvolumes(String prefermountedvolumes) {
 		this.prefermountedvolumes = prefermountedvolumes;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="prunejobs"
-	 */
 	public String getPrunejobs() {
 		return prunejobs;
 	}
-	/**
-	 * @param prunejobs
-	 * @uml.property  name="prunejobs"
-	 */
 	public void setPrunejobs(String prunejobs) {
 		this.prunejobs = prunejobs;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="prunefiles"
-	 */
 	public String getPrunefiles() {
 		return prunefiles;
 	}
-	/**
-	 * @param prunefiles
-	 * @uml.property  name="prunefiles"
-	 */
 	public void setPrunefiles(String prunefiles) {
 		this.prunefiles = prunefiles;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="prunevolumes"
-	 */
 	public String getPrunevolumes() {
 		return prunevolumes;
 	}
-	/**
-	 * @param prunevolumes
-	 * @uml.property  name="prunevolumes"
-	 */
 	public void setPrunevolumes(String prunevolumes) {
 		this.prunevolumes = prunevolumes;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="runscript"
-	 */
 	public String getRunscript() {
 		return runscript;
 	}
-	/**
-	 * @param runscript
-	 * @uml.property  name="runscript"
-	 */
 	public void setRunscript(String runscript) {
 		this.runscript = runscript;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="runbeforejob"
-	 */
 	public String getRunbeforejob() {
 		return runbeforejob;
 	}
-	/**
-	 * @param runbeforejob
-	 * @uml.property  name="runbeforejob"
-	 */
 	public void setRunbeforejob(String runbeforejob) {
 		this.runbeforejob = runbeforejob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="runafterjob"
-	 */
 	public String getRunafterjob() {
 		return runafterjob;
 	}
-	/**
-	 * @param runafterjob
-	 * @uml.property  name="runafterjob"
-	 */
 	public void setRunafterjob(String runafterjob) {
 		this.runafterjob = runafterjob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="runafterfailedjob"
-	 */
 	public String getRunafterfailedjob() {
 		return runafterfailedjob;
 	}
-	/**
-	 * @param runafterfailedjob
-	 * @uml.property  name="runafterfailedjob"
-	 */
 	public void setRunafterfailedjob(String runafterfailedjob) {
 		this.runafterfailedjob = runafterfailedjob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="clientrunbeforejob"
-	 */
 	public String getClientrunbeforejob() {
 		return clientrunbeforejob;
 	}
-	/**
-	 * @param clientrunbeforejob
-	 * @uml.property  name="clientrunbeforejob"
-	 */
 	public void setClientrunbeforejob(String clientrunbeforejob) {
 		this.clientrunbeforejob = clientrunbeforejob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="clientrunafterjob"
-	 */
 	public String getClientrunafterjob() {
 		return clientrunafterjob;
 	}
-	/**
-	 * @param clientrunafterjob
-	 * @uml.property  name="clientrunafterjob"
-	 */
 	public void setClientrunafterjob(String clientrunafterjob) {
 		this.clientrunafterjob = clientrunafterjob;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="rerunfailedlevels"
-	 */
 	public String getRerunfailedlevels() {
 		return rerunfailedlevels;
 	}
-	/**
-	 * @param rerunfailedlevels
-	 * @uml.property  name="rerunfailedlevels"
-	 */
 	public void setRerunfailedlevels(String rerunfailedlevels) {
 		this.rerunfailedlevels = rerunfailedlevels;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="spooldata"
-	 */
 	public String getSpooldata() {
 		return spooldata;
 	}
-	/**
-	 * @param spooldata
-	 * @uml.property  name="spooldata"
-	 */
 	public void setSpooldata(String spooldata) {
 		this.spooldata = spooldata;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="spoolattributes"
-	 */
 	public String getSpoolattributes() {
 		return spoolattributes;
 	}
-	/**
-	 * @param spoolattributes
-	 * @uml.property  name="spoolattributes"
-	 */
 	public void setSpoolattributes(String spoolattributes) {
 		this.spoolattributes = spoolattributes;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="where"
-	 */
 	public String getWhere() {
 		return where;
 	}
-	/**
-	 * @param where
-	 * @uml.property  name="where"
-	 */
 	public void setWhere(String where) {
 		this.where = where;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="addprefix"
-	 */
 	public String getAddprefix() {
 		return addprefix;
 	}
-	/**
-	 * @param addprefix
-	 * @uml.property  name="addprefix"
-	 */
 	public void setAddprefix(String addprefix) {
 		this.addprefix = addprefix;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="addsuffix"
-	 */
 	public String getAddsuffix() {
 		return addsuffix;
 	}
-	/**
-	 * @param addsuffix
-	 * @uml.property  name="addsuffix"
-	 */
 	public void setAddsuffix(String addsuffix) {
 		this.addsuffix = addsuffix;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="stripprefix"
-	 */
 	public String getStripprefix() {
 		return stripprefix;
 	}
-	/**
-	 * @param stripprefix
-	 * @uml.property  name="stripprefix"
-	 */
 	public void setStripprefix(String stripprefix) {
 		this.stripprefix = stripprefix;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="regexwhere"
-	 */
 	public String getRegexwhere() {
 		return regexwhere;
 	}
-	/**
-	 * @param regexwhere
-	 * @uml.property  name="regexwhere"
-	 */
 	public void setRegexwhere(String regexwhere) {
 		this.regexwhere = regexwhere;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="replace"
-	 */
 	public String getReplace() {
 		return replace;
 	}
-	/**
-	 * @param replace
-	 * @uml.property  name="replace"
-	 */
 	public void setReplace(String replace) {
 		this.replace = replace;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="prefixlinks"
-	 */
 	public String getPrefixlinks() {
 		return prefixlinks;
 	}
-	/**
-	 * @param prefixlinks
-	 * @uml.property  name="prefixlinks"
-	 */
 	public void setPrefixlinks(String prefixlinks) {
 		this.prefixlinks = prefixlinks;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="maximumconcurrentjobs"
-	 */
 	public String getMaximumconcurrentjobs() {
 		return maximumconcurrentjobs;
 	}
-	/**
-	 * @param maximumconcurrentjobs
-	 * @uml.property  name="maximumconcurrentjobs"
-	 */
 	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
 		this.maximumconcurrentjobs = maximumconcurrentjobs;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="rescheduleonerror"
-	 */
 	public String getRescheduleonerror() {
 		return rescheduleonerror;
 	}
-	/**
-	 * @param rescheduleonerror
-	 * @uml.property  name="rescheduleonerror"
-	 */
 	public void setRescheduleonerror(String rescheduleonerror) {
 		this.rescheduleonerror = rescheduleonerror;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="rescheduleinterval"
-	 */
 	public String getRescheduleinterval() {
 		return rescheduleinterval;
 	}
-	/**
-	 * @param rescheduleinterval
-	 * @uml.property  name="rescheduleinterval"
-	 */
 	public void setRescheduleinterval(String rescheduleinterval) {
 		this.rescheduleinterval = rescheduleinterval;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="rescheduletimes"
-	 */
 	public String getRescheduletimes() {
 		return rescheduletimes;
 	}
-	/**
-	 * @param rescheduletimes
-	 * @uml.property  name="rescheduletimes"
-	 */
 	public void setRescheduletimes(String rescheduletimes) {
 		this.rescheduletimes = rescheduletimes;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="allowduplicatejobs"
-	 */
 	public String getAllowduplicatejobs() {
 		return allowduplicatejobs;
 	}
-	/**
-	 * @param allowduplicatejobs
-	 * @uml.property  name="allowduplicatejobs"
-	 */
 	public void setAllowduplicatejobs(String allowduplicatejobs) {
 		this.allowduplicatejobs = allowduplicatejobs;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="allowhigherduplicates"
-	 */
 	public String getAllowhigherduplicates() {
 		return allowhigherduplicates;
 	}
-	/**
-	 * @param allowhigherduplicates
-	 * @uml.property  name="allowhigherduplicates"
-	 */
 	public void setAllowhigherduplicates(String allowhigherduplicates) {
 		this.allowhigherduplicates = allowhigherduplicates;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="cancellowerlevelduplicates"
-	 */
 	public String getCancellowerlevelduplicates() {
 		return cancellowerlevelduplicates;
 	}
-	/**
-	 * @param cancellowerlevelduplicates
-	 * @uml.property  name="cancellowerlevelduplicates"
-	 */
 	public void setCancellowerlevelduplicates(String cancellowerlevelduplicates) {
 		this.cancellowerlevelduplicates = cancellowerlevelduplicates;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="cancelqueuedduplicates"
-	 */
 	public String getCancelqueuedduplicates() {
 		return cancelqueuedduplicates;
 	}
-	/**
-	 * @param cancelqueuedduplicates
-	 * @uml.property  name="cancelqueuedduplicates"
-	 */
 	public void setCancelqueuedduplicates(String cancelqueuedduplicates) {
 		this.cancelqueuedduplicates = cancelqueuedduplicates;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="cancelrunningduplicates"
-	 */
 	public String getCancelrunningduplicates() {
 		return cancelrunningduplicates;
 	}
-	/**
-	 * @param cancelrunningduplicates
-	 * @uml.property  name="cancelrunningduplicates"
-	 */
 	public void setCancelrunningduplicates(String cancelrunningduplicates) {
 		this.cancelrunningduplicates = cancelrunningduplicates;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="duplicatejobproximity"
-	 */
 	public String getDuplicatejobproximity() {
 		return duplicatejobproximity;
 	}
-	/**
-	 * @param duplicatejobproximity
-	 * @uml.property  name="duplicatejobproximity"
-	 */
 	public void setDuplicatejobproximity(String duplicatejobproximity) {
 		this.duplicatejobproximity = duplicatejobproximity;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="run"
-	 */
 	public String getRun() {
 		return run;
 	}
-	/**
-	 * @param run
-	 * @uml.property  name="run"
-	 */
 	public void setRun(String run) {
 		this.run = run;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="priority"
-	 */
 	public String getPriority() {
 		return priority;
 	}
-	/**
-	 * @param priority
-	 * @uml.property  name="priority"
-	 */
 	public void setPriority(String priority) {
 		this.priority = priority;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="allowmixedpriority"
-	 */
 	public String getAllowmixedpriority() {
 		return allowmixedpriority;
 	}
-	/**
-	 * @param allowmixedpriority
-	 * @uml.property  name="allowmixedpriority"
-	 */
 	public void setAllowmixedpriority(String allowmixedpriority) {
 		this.allowmixedpriority = allowmixedpriority;
 	}
-	/**
-	 * @return
-	 * @uml.property  name="writepartafterjob"
-	 */
 	public String getWritepartafterjob() {
 		return writepartafterjob;
 	}
-	/**
-	 * @param writepartafterjob
-	 * @uml.property  name="writepartafterjob"
-	 */
 	public void setWritepartafterjob(String writepartafterjob) {
 		this.writepartafterjob = writepartafterjob;
 	}
-	/**
-	 * @uml.property  name="name"
-	 */
 	private String name;
-	/**
-	 * @uml.property  name="enabled"
-	 */
 	private String enabled;
-	/**
-	 * @uml.property  name="type"
-	 */
 	private String type;
-	/**
-	 * @uml.property  name="level"
-	 */
 	private String level;
-	/**
-	 * @uml.property  name="accurate"
-	 */
 	private String accurate;
-	/**
-	 * @uml.property  name="verifyjob"
-	 */
 	private String verifyjob;
-	/**
-	 * @uml.property  name="jobdefs"
-	 */
 	private String jobdefs;
-	/**
-	 * @uml.property  name="bootstrap"
-	 */
 	private String bootstrap;
-	/**
-	 * @uml.property  name="writebootstrap"
-	 */
 	private String writebootstrap;
-	/**
-	 * @uml.property  name="client"
-	 */
 	private String client;
-	/**
-	 * @uml.property  name="fileset"
-	 */
 	private String fileset;
-	/**
-	 * @uml.property  name="messages"
-	 */
 	private String messages;
-	/**
-	 * @uml.property  name="pool"
-	 */
 	private String pool;
-	/**
-	 * @uml.property  name="fullbackuppool"
-	 */
 	private String fullbackuppool;
-	/**
-	 * @uml.property  name="differentialbackuppool"
-	 */
 	private String differentialbackuppool;
-	/**
-	 * @uml.property  name="incrementalbackuppool"
-	 */
 	private String incrementalbackuppool;
-	/**
-	 * @uml.property  name="schedule"
-	 */
 	private String schedule;
-	/**
-	 * @uml.property  name="storage"
-	 */
 	private String storage;
-	/**
-	 * @uml.property  name="maxstartdelay"
-	 */
 	private String maxstartdelay;
-	/**
-	 * @uml.property  name="maxruntime"
-	 */
 	private String maxruntime;
-	/**
-	 * @uml.property  name="incrementaldifferentialmaxwaittime"
-	 */
 	private String incrementaldifferentialmaxwaittime;
-	/**
-	 * @uml.property  name="incrementalmaxruntime"
-	 */
 	private String incrementalmaxruntime;
-	/**
-	 * @uml.property  name="differentialmaxwaittime"
-	 */
 	private String differentialmaxwaittime;
-	/**
-	 * @uml.property  name="maxrunschedtime"
-	 */
 	private String maxrunschedtime;
-	/**
-	 * @uml.property  name="maxwaittime"
-	 */
 	private String maxwaittime;
-	/**
-	 * @uml.property  name="maxfullinterval"
-	 */
 	private String maxfullinterval;
-	/**
-	 * @uml.property  name="prefermountedvolumes"
-	 */
 	private String prefermountedvolumes;
-	/**
-	 * @uml.property  name="prunejobs"
-	 */
 	private String prunejobs;
-	/**
-	 * @uml.property  name="prunefiles"
-	 */
 	private String prunefiles;
-	/**
-	 * @uml.property  name="prunevolumes"
-	 */
 	private String prunevolumes;
-	/**
-	 * @uml.property  name="runscript"
-	 */
 	private String runscript;
-	/**
-	 * @uml.property  name="runbeforejob"
-	 */
 	private String runbeforejob;
-	/**
-	 * @uml.property  name="runafterjob"
-	 */
 	private String runafterjob;
-	/**
-	 * @uml.property  name="runafterfailedjob"
-	 */
 	private String runafterfailedjob;
-	/**
-	 * @uml.property  name="clientrunbeforejob"
-	 */
 	private String clientrunbeforejob;
-	/**
-	 * @uml.property  name="clientrunafterjob"
-	 */
 	private String clientrunafterjob;
-	/**
-	 * @uml.property  name="rerunfailedlevels"
-	 */
 	private String rerunfailedlevels;
-	/**
-	 * @uml.property  name="spooldata"
-	 */
 	private String spooldata;
-	/**
-	 * @uml.property  name="spoolattributes"
-	 */
 	private String spoolattributes;
-	/**
-	 * @uml.property  name="where"
-	 */
 	private String where;
-	/**
-	 * @uml.property  name="addprefix"
-	 */
 	private String addprefix;
-	/**
-	 * @uml.property  name="addsuffix"
-	 */
 	private String addsuffix;
-	/**
-	 * @uml.property  name="stripprefix"
-	 */
 	private String stripprefix;
-	/**
-	 * @uml.property  name="regexwhere"
-	 */
 	private String regexwhere;
-	/**
-	 * @uml.property  name="replace"
-	 */
 	private String replace;
-	/**
-	 * @uml.property  name="prefixlinks"
-	 */
 	private String prefixlinks;
-	/**
-	 * @uml.property  name="maximumconcurrentjobs"
-	 */
 	private String maximumconcurrentjobs;
-	/**
-	 * @uml.property  name="rescheduleonerror"
-	 */
 	private String rescheduleonerror;
-	/**
-	 * @uml.property  name="rescheduleinterval"
-	 */
 	private String rescheduleinterval;
-	/**
-	 * @uml.property  name="rescheduletimes"
-	 */
 	private String rescheduletimes;
-	/**
-	 * @uml.property  name="allowduplicatejobs"
-	 */
 	private String allowduplicatejobs;
-	/**
-	 * @uml.property  name="allowhigherduplicates"
-	 */
 	private String allowhigherduplicates;
-	/**
-	 * @uml.property  name="cancellowerlevelduplicates"
-	 */
 	private String cancellowerlevelduplicates;
-	/**
-	 * @uml.property  name="cancelqueuedduplicates"
-	 */
 	private String cancelqueuedduplicates;
-	/**
-	 * @uml.property  name="cancelrunningduplicates"
-	 */
 	private String cancelrunningduplicates;
-	/**
-	 * @uml.property  name="duplicatejobproximity"
-	 */
 	private String duplicatejobproximity;
-	/**
-	 * @uml.property  name="run"
-	 */
 	private String run;
-	/**
-	 * @uml.property  name="priority"
-	 */
 	private String priority;
-	/**
-	 * @uml.property  name="allowmixedpriority"
-	 */
 	private String allowmixedpriority;
-	/**
-	 * @uml.property  name="writepartafterjob"
-	 */
 	private String writepartafterjob;
 